#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int k;
    cin >> k;
    double sum = 0;
    for (int n = 1;; n++)
    {
        sum += 1.0 / n;
        if (sum > k)
        {
            cout << n;
            break;
        }
    }
    return 0;
}
